Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Jamie Lokier <[email-masked]>
Date: Thu, 12 Mar 2009 21:59:19 +0000

Neil Horman wrote:
> I've not looked at the figures lately, but how much space does the
> dhcp client and nfs root code take up in the kernel these days?

About 4k apparently.  See the difference from "400k compressed?".
Also, uncompressing that may add 0.5 second boot time on a slow CPU :-)

> I sympathize with you.  This is exactly what soured me on embedded
> work a few years back.  Embedded shops are forever compromising
> doing things correctly in the name of time and schedules, never
> paying any heed to the possibility that taking extra time to do
> things in an agreed upon, organized and standard fashion might pay
> off for them in the long run.

I must admit that a solution which makes the effective kernel size
800k larger (your figure) doesn't look like a good standard to me.

If that was the "standard", I'd be tempted to add a MAC address driver
hack to the kernel to save the space :-)

-- Jamie